• Post Reply Bookmark Topic Watch Topic
  • New Topic

Multiple JVM's

 
tom burke
Greenhorn
Posts: 4
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Does Webstart support multiple versions of JVM.
Meaning if my app needs 1.4 and there is already a previous version of Java, will it download 1.4 but not replace the existing version.
We are getting ready to deploy an app and of course this type of versioning becomes a major issue.
I'll also be checking the webstart docs, just curious if anyone knew off the top of their heads.
Thanks,
Tom
 
Chantal Ackermann
Ranch Hand
Posts: 508
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I don't think JWS does download a jre by itself. you can specify which exact version your app needs but the downloading has to be done by the user. thinking of the size of the jre I think this is a fine strategy.
in the javaws frontend it is possible to tell JWS where to find all available jvms on the machine, so if multiple versions exist it's no problem.
 
Gravity is a harsh mistress. But this tiny ad is pretty easy to deal with:
the new thread boost feature: great for the advertiser and smooth for the coderanch user
https://coderanch.com/t/674455/Thread-Boost-feature
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!